Bug 144335 - libelf packages mislicenced.
Summary: libelf packages mislicenced.
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: elfutils   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-06 04:27 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 20:24:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom "spot" Callaway 2005-01-06 04:27:17 UTC
Description of problem:

The elfutils-libelf and elfutils-libelf-devel packages are mislicenced
in Fedora Core 3. They should be GPL, and are licensed OSL (which is
correct for elfutils and elfutils-devel, but NOT for elfutils-libelf
and elfutils-libelf-devel).

Comment 1 Jeff Johnson 2005-01-06 13:23:12 UTC
elfutils (or at least portions) is dual licensed, OSL is preferred.

Comment 2 Tom "spot" Callaway 2005-01-06 15:25:38 UTC
Unless RPM is licensed OSL, then having libelf as OSL is a violation
of the GPL. I further clarified with the author of libelf that indeed,
that portion of code was GPL and never OSL.

Comment 3 Jeff Johnson 2005-02-07 20:24:52 UTC
elfutils-0.99-2 built exactly as requested.

Anything else should be dealt with through channels other than bugzilla,
hence UPSTREAM.


Note You need to log in before you can comment on or make changes to this bug.